package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)枚举类
*
* @author zxfei
*/
public enum ImageResolutionEnum {
    R1920_1080("1", "1920*1080"),
    R1080_1920("2", "1080*1920"),
    R1280_1280("3", "1280*1280");
    private String value;
    private String desc;

    ImageResolutionEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static ImageResolutionEnum getByValue(String value) {
        for (ImageResolutionEnum imageResolutionEnum : ImageResolutionEnum.values()) {
            if (imageResolutionEnum.getValue() == value) {
                return imageResolutionEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (ImageResolutionEnum item : ImageResolutionEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}